org.jbpm.workflow.core.node

## Class MilestoneNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.MilestoneNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, Constrainable, org.kie.api.definition.process.Node

      public class MilestoneNode
      extends StateBasedNode
      implements Constrainable

  Default implementation of a milestone node.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MilestoneNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraint(ConnectionRef connection, Constraint constraint)` Adds the given constraint.
    `String` | `getConstraint()`
    `String` | `getMatchVariable()`
    `void` | `setConstraint(String constraint)`
    `void` | `setMatchVariable(String matchVariable)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MilestoneNode

          public MilestoneNode()

  - ### Method Detail

    - #### addConstraint

          public void addConstraint(ConnectionRef connection,
                                    Constraint constraint)

      Description copied from interface: `Constrainable`
      Adds the given constraint. In cases where the constraint is associated with a specific connection, this connection will be identified using a ConnectionRef. In other cases the ConnectionRef will be null and can be ignored.
      Specified by:
        `addConstraint` in interface `Constrainable`
      Overrides:
        `addConstraint` in class `NodeImpl`

    - #### setConstraint

          public void setConstraint(String constraint)

    - #### getConstraint

          public String getConstraint()

    - #### getMatchVariable

          public String getMatchVariable()

    - #### setMatchVariable

          public void setMatchVariable(String matchVariable)

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.